<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/ascat.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>ascat.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for ascat.c:</div>
<div class="dynsection">
<div class="center"><img src="ascat_8c__incl.png" border="0" usemap="#util_2ascat_8c_map" alt=""/></div>
<map name="util_2ascat_8c_map" id="util_2ascat_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="ascat_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3">ascat</a> (int **aindata, int n_items, int s_item, int *newproc, int insize, int send)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ac2f4e1dfdaa7099a74e0603a16a1feb3"></a><!-- doxytag: member="ascat.c::ascat" ref="ac2f4e1dfdaa7099a74e0603a16a1feb3" args="(int **aindata, int n_items, int s_item, int *newproc, int insize, int send)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ascat </td>
          <td>(</td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>aindata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_items</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>s_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>newproc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>insize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>send</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ascat_8c_source.html#l00030">30</a> of file <a class="el" href="ascat_8c_source.html">ascat.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>.</p>

<p>Referenced by <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, and <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="ascat_8c_ac2f4e1dfdaa7099a74e0603a16a1feb3_icgraph.png" border="0" usemap="#ascat_8c_ac2f4e1dfdaa7099a74e0603a16a1feb3_icgraph_map" alt=""></div>
<map name="ascat_8c_ac2f4e1dfdaa7099a74e0603a16a1feb3_icgraph_map" id="ascat_8c_ac2f4e1dfdaa7099a74e0603a16a1feb3_icgraph">
<area shape="rect" id="node3" href="movedata_8c.html#aac2a4c334ae5c2baef33867114fe8006" title="DataMoveData" alt="" coords="479,15,585,46"/><area shape="rect" id="node9" href="parteleser_8c.html#a338625e08e016cbad07c3c6bd5159822" title="MetisPartition" alt="" coords="109,54,211,85"/><area shape="rect" id="node16" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="277,107,411,138"/><area shape="rect" id="node19" href="reorder_8c.html#a325dee9c88a63835d07e633aac72bc7e" title="PermuteData" alt="" coords="112,158,208,189"/><area shape="rect" id="node23" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="284,161,404,191"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="636,55,695,86"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="744,55,795,86"/><area shape="rect" id="node11" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="259,54,429,85"/><area shape="rect" id="node13" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="499,94,565,125"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

